gr::satellites::selector_impl Class Reference

`#include <selector_impl.h>`

Inheritance diagram for gr::satellites::selector_impl:

## Public Member Functions

| selector_impl (size_t itemsize, unsigned int input_index, unsigned int output_index)
| ~selector_impl () override
void | forecast (int noutput_items, gr_vector_int &ninput_items_required) override
bool | check_topology (int ninputs, int noutputs) override
void | setup_rpc () override
void | handle_msg_input_index (const pmt::pmt_t &msg)
void | handle_msg_output_index (const pmt::pmt_t &msg)
void | handle_enable (const pmt::pmt_t &msg)
void | set_enabled (bool enable) override
bool | enabled () const override
void | set_input_index (unsigned int input_index) override
int | input_index () const override
void | set_output_index (unsigned int output_index) override
int | output_index () const override
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items) override

## Additional Inherited Members

Public Types inherited from gr::satellites::selector
typedef std::shared_ptr< selector > | sptr
Static Public Member Functions inherited from gr::satellites::selector
static sptr | make (size_t itemsize, unsigned int input_index, unsigned int output_index)

## Constructor & Destructor Documentation

## selector_impl()

gr::satellites::selector_impl::selector_impl | ( | size_t | itemsize,
|  | unsigned int | input_index,
|  | unsigned int | output_index
| ) |  |

## ~selector_impl()

gr::satellites::selector_impl::~selector_impl | ( |  | ) |

override

## Member Function Documentation

## check_topology()

bool gr::satellites::selector_impl::check_topology | ( | int | ninputs,
|  | int | noutputs
| ) |  |

override

## enabled()

bool gr::satellites::selector_impl::enabled | ( |  | ) | const

inline override virtual

Implements gr::satellites::selector.

## forecast()

void gr::satellites::selector_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

override

## general_work()

int gr::satellites::selector_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

override

## handle_enable()

void gr::satellites::selector_impl::handle_enable | ( | const pmt::pmt_t & | msg | ) |

## handle_msg_input_index()

void gr::satellites::selector_impl::handle_msg_input_index | ( | const pmt::pmt_t & | msg | ) |

## handle_msg_output_index()

void gr::satellites::selector_impl::handle_msg_output_index | ( | const pmt::pmt_t & | msg | ) |

## input_index()

int gr::satellites::selector_impl::input_index | ( |  | ) | const

inline override virtual

Implements gr::satellites::selector.

## output_index()

int gr::satellites::selector_impl::output_index | ( |  | ) | const

inline override virtual

Implements gr::satellites::selector.

## set_enabled()

void gr::satellites::selector_impl::set_enabled | ( | bool | enable | ) |

inline override virtual

When enabled is set to false, no output samples are produced. Otherwise samples are copied to the selected output port

Implements gr::satellites::selector.

## set_input_index()

void gr::satellites::selector_impl::set_input_index | ( | unsigned int | input_index | ) |

override virtual

Implements gr::satellites::selector.

## set_output_index()

void gr::satellites::selector_impl::set_output_index | ( | unsigned int | output_index | ) |

override virtual

Implements gr::satellites::selector.

## setup_rpc()

void gr::satellites::selector_impl::setup_rpc | ( |  | ) |

override

The documentation for this class was generated from the following file:

- selector_impl.h